AMQPEnvelope::getUserId
chdb
AMQPEnvelope
PHP Manual

# AMQPEnvelope::isRedelivery

Whether this is a redelivery of the message

### Description

public bool AMQPEnvelope::isRedelivery ( void )

Whether this is a redelivery of a message. If this message has been delivered and AMQPEnvelope::nack was called, the message will be put back on the queue to be redelivered, at which point the message will always return `TRUE` when this method is called.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if this is a redelivery, `FALSE` otherwise.